//
//  GyroscopeController.h
//  Gyroscope
//
//  Created by Phidgets on 2015-07-24.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "GyroGaugeView.h"
#import "PhidgetInfoBox.h"

@interface GyroscopeController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetGyroscopeHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet id dataIntervalSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *xAxisText;
    IBOutlet NSTextField *yAxisText;
    IBOutlet NSTextField *zAxisText;
    IBOutlet NSTextField *timeStampText;
    
    //Angular positions
    IBOutlet NSBox *angularPositionsBox;
    IBOutlet GyroGaugeView *xGauge;
    IBOutlet GyroGaugeView *yGauge;
    IBOutlet GyroGaugeView *zGauge;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
